From aa17a5acbb8c3bdfdbfa5f2ba6cdcb03718ffcf4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 01 2020 21:47:29 +0000
Subject: [PATCH 72/2232] Rename example's namespace to org::example


---

diff --git a/demo-cxx/demo.cc b/demo-cxx/demo.cc
index 79340eb..b975e88 100644
--- a/demo-cxx/demo.cc
+++ b/demo-cxx/demo.cc
@@ -3,13 +3,13 @@
 #include <iostream>
 
 namespace org {
-namespace rust {
+namespace example {
 
 ThingC::ThingC(std::string appname) : appname(std::move(appname)) {}
 
 ThingC::~ThingC() { std::cout << "done with ThingC" << std::endl; }
 
-std::unique_ptr<ThingC> make_demo(::rust::Str appname) {
+std::unique_ptr<ThingC> make_demo(rust::Str appname) {
   return std::unique_ptr<ThingC>(new ThingC(appname));
 }
 
@@ -17,5 +17,5 @@ const std::string &get_name(const ThingC &thing) { return thing.appname; }
 
 void do_thing(SharedThing state) { print_r(*state.y); }
 
-} // namespace rust
+} // namespace example
 } // namespace org
diff --git a/demo-cxx/demo.h b/demo-cxx/demo.h
index aa417c7..a579986 100644
--- a/demo-cxx/demo.h
+++ b/demo-cxx/demo.h
@@ -4,7 +4,7 @@
 #include <string>
 
 namespace org {
-namespace rust {
+namespace example {
 
 class ThingC {
 public:
@@ -16,9 +16,9 @@ public:
 
 struct SharedThing;
 
-std::unique_ptr<ThingC> make_demo(::rust::Str appname);
+std::unique_ptr<ThingC> make_demo(rust::Str appname);
 const std::string &get_name(const ThingC &thing);
 void do_thing(SharedThing state);
 
-} // namespace rust
+} // namespace example
 } // namespace org
diff --git a/demo-rs/src/main.rs b/demo-rs/src/main.rs
index dba4727..66dfc79 100644
--- a/demo-rs/src/main.rs
+++ b/demo-rs/src/main.rs
@@ -1,4 +1,4 @@
-#[cxx::bridge(namespace = org::rust)]
+#[cxx::bridge(namespace = org::example)]
 mod ffi {
     struct SharedThing {
         z: i32,

